#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main(void)
{
    // Convert to greyscale using NTSC weightings
    vec4 col = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
  	col.rgb *= col.a;
    
    float r=col.r*0.7;
    float g=col.g*0.7;
    float b=col.b*0.7;
   
    gl_FragColor = vec4(r, g, b, col.a);
}