#ifdef GL_ES
precision mediump float;
#endif
uniform float alpha;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main(void)
{
    // Convert to greyscale using NTSC weightings
    vec4 col = texture2D(CC_Texture0, v_texCoord);
    
    float r=col.r*alpha;
    float g=col.g*alpha;
    float b=col.b*alpha;
   
    gl_FragColor = vec4(r, g, b, col.a);
}