#ifdef GL_ES
    precision mediump float;
#endif

uniform float alpha;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main() {
    vec4 texColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);

    texColor.rgb *= texColor.a; // Premultiply with Alpha channel

    //gl_FragColor = v_fragmentColor * texColor;

    //float r = texColor.r+ 0.9*alpha*texColor.a;
    //float g = texColor.g+ 0.9*alpha*texColor.a;
    //float b = texColor.b+ 0.9*alpha*texColor.a;
    //gl_FragColor = vec4(r, g, b, texColor.a);

    float r = texColor.a*((texColor.r+0.9)*alpha+0.1);
    float g = texColor.g*alpha*0.6;
    float b = texColor.b*alpha*0.6;
    gl_FragColor = vec4(r, g, b, texColor.a) * v_fragmentColor;
}
