
#ifdef GL_ES
precision mediump float;
#endif

uniform float alpha;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
void main(void)
{
    vec4 col = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
    col.rgb *= col.a;
	
	float r = col.r;
	float g = col.g;
	float b = col.b;
	
    if (v_fragmentColor.a == 1.0 && col.a > 0.)
    {
		r = col.r+ 0.9*alpha*col.a;
		g = col.g+ 0.9*alpha*col.a;
		b = col.b+ 0.9*alpha*col.a;
    }
	
	gl_FragColor = v_fragmentColor * vec4(r, g, b, col.a);
}
    